Build #3 for cabal-debian-4.35.8

[all reports]

Package cabal-debian-4.35.8
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2017-07-04 17:40:23.346280435 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies Cabal-1.24.2.0, Diff-0.3.4, HUnit-1.6.0.0, Unixutils-1.54.1, ansi-wl-pprint-0.6.7.3, base-4.9.1.0, bifunctors-5.4.2, containers-0.5.7.1, data-default-0.7.1.1, debian-3.91.2, deepseq-1.4.2.0, directory-1.3.0.0, exceptions-0.8.3, filepath-1.4.1.1, hsemail-2, lens-4.15.3, memoize-0.8.1, mtl-2.2.1, network-uri-2.6.1.0, newtype-generics-0.5, optparse-applicative-0.14.0.0, parsec-3.1.11, pretty-1.1.3.3, process-1.4.3.0, pureMD5-2.1.3, regex-tdfa-1.2.2, set-extra-1.4, syb-0.7, text-1.2.2.2, unix-2.7.2.1, utf8-string-1.0.1.1, Cabal-1.24.2.0, Unixutils-1.54.1, base-4.9.1.0, debian-3.91.2, lens-4.15.3, mtl-2.2.1, pretty-1.1.3.3
Flags pretty-112

Build log

[view raw]

Resolving dependencies...
Configuring Diff-0.3.4...
Configuring ansi-terminal-0.6.3.1...
Building ansi-terminal-0.6.3.1...
Building Diff-0.3.4...
Installed Diff-0.3.4
Configuring base-orphans-0.6...
Configuring cabal-doctest-1.0.2...
Installed ansi-terminal-0.6.3.1
Building base-orphans-0.6...
Building cabal-doctest-1.0.2...
Configuring bzlib-0.5.0.5...
Installed base-orphans-0.6
Building bzlib-0.5.0.5...
Configuring call-stack-0.1.0...
Installed cabal-doctest-1.0.2
Building call-stack-0.1.0...
Configuring cereal-0.5.4.0...
Installed call-stack-0.1.0
Building cereal-0.5.4.0...
Configuring data-default-class-0.1.2.0...
Installed bzlib-0.5.0.5
Building data-default-class-0.1.2.0...
Configuring dlist-0.8.0.3...
Installed data-default-class-0.1.2.0
Building dlist-0.8.0.3...
Configuring entropy-0.3.8...
Installed cereal-0.5.4.0
Configuring fail-4.9.0.0...
Installed dlist-0.8.0.3
Building fail-4.9.0.0...
Configuring fmlist-0.9...
Installed fail-4.9.0.0
Building fmlist-0.9...
Configuring memoize-0.8.1...
Installed fmlist-0.9
Building memoize-0.8.1...
Building entropy-0.3.8...
Warning: /tmp/pkgConf-entropy-0.38556362261749698586.8: Unrecognized field
dynamic-library-dirs on line 26
Configuring generic-deriving-1.11.2...
Installed entropy-0.3.8
Building generic-deriving-1.11.2...
Configuring mtl-2.2.1...
Installed memoize-0.8.1
Building mtl-2.2.1...
Configuring network-2.6.3.2...
Installed mtl-2.2.1
Building network-2.6.3.2...
Configuring newtype-generics-0.5...
Installed network-2.6.3.2
Building newtype-generics-0.5...
Configuring old-locale-1.0.0.7...
Installed generic-deriving-1.11.2
Configuring parallel-3.2.1.1...
Installed newtype-generics-0.5
Building old-locale-1.0.0.7...
Building parallel-3.2.1.1...
Configuring prelude-extras-0.4.0.3...
Installed old-locale-1.0.0.7
Building prelude-extras-0.4.0.3...
Configuring primitive-0.6.2.0...
Installed parallel-3.2.1.1
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed prelude-extras-0.4.0.3
Building random-1.1...
Configuring semigroups-0.18.3...
Installed random-1.1
Building semigroups-0.18.3...
Configuring reflection-2.1.2...
Installed primitive-0.6.2.0
Building reflection-2.1.2...
Configuring stm-2.4.4.1...
Installed semigroups-0.18.3
Building stm-2.4.4.1...
Configuring syb-0.7...
Installed stm-2.4.4.1
Building syb-0.7...
Configuring text-1.2.2.2...
Installed reflection-2.1.2
Building text-1.2.2.2...
Configuring transformers-compat-0.5.1.4...
Installed syb-0.7
Building transformers-compat-0.5.1.4...
Configuring th-abstraction-0.2.3.0...
Installed transformers-compat-0.5.1.4
Building th-abstraction-0.2.3.0...
Configuring utf8-string-1.0.1.1...
Installed th-abstraction-0.2.3.0
Building utf8-string-1.0.1.1...
Configuring zlib-0.6.1.2...
Installed utf8-string-1.0.1.1
Building zlib-0.6.1.2...
Configuring void-0.7.2...
Installed text-1.2.2.2
Building void-0.7.2...
Installed void-0.7.2
Configuring ansi-wl-pprint-0.6.7.3...
Building ansi-wl-pprint-0.6.7.3...
Configuring HUnit-1.6.0.0...
Installed zlib-0.6.1.2
Building HUnit-1.6.0.0...
Configuring data-default-instances-containers-0.0.1...
Installed ansi-wl-pprint-0.6.7.3
Building data-default-instances-containers-0.0.1...
Configuring data-default-instances-dlist-0.0.1...
Installed HUnit-1.6.0.0
Configuring regex-base-0.93.2...
Installed data-default-instances-containers-0.0.1
Building data-default-instances-dlist-0.0.1...
Building regex-base-0.93.2...
Configuring old-time-1.1.0.3...
Installed data-default-instances-dlist-0.0.1
Building old-time-1.1.0.3...
Configuring data-default-instances-old-locale-0.0.1...
Installed regex-base-0.93.2
Building data-default-instances-old-locale-0.0.1...
Configuring StateVar-1.1.0.4...
Installed data-default-instances-old-locale-0.0.1
Building StateVar-1.1.0.4...
Configuring vector-0.12.0.1...
Installed old-time-1.1.0.3
Configuring MonadRandom-0.5.1...
Installed StateVar-1.1.0.4
Building vector-0.12.0.1...
Building MonadRandom-0.5.1...
Configuring set-extra-1.4...
Installed MonadRandom-0.5.1
Building set-extra-1.4...
Configuring mmorph-1.1.0...
Installed set-extra-1.4
Building mmorph-1.1.0...
Configuring exceptions-0.8.3...
Installed mmorph-1.1.0
Building exceptions-0.8.3...
Configuring transformers-base-0.4.4...
Installed exceptions-0.8.3
Building transformers-base-0.4.4...
Configuring tagged-0.8.5...
Installed transformers-base-0.4.4
Building tagged-0.8.5...
Configuring hashable-1.2.6.1...
Installed tagged-0.8.5
Building hashable-1.2.6.1...
Configuring parsec-3.1.11...
Installed hashable-1.2.6.1
Building parsec-3.1.11...
Configuring polyparse-1.12...
Installed vector-0.12.0.1
Building polyparse-1.12...
Installed parsec-3.1.11
Configuring optparse-applicative-0.14.0.0...
Building optparse-applicative-0.14.0.0...
Configuring regex-posix-0.95.2...
Installed polyparse-1.12
Building regex-posix-0.95.2...
Configuring data-default-0.7.1.1...
Installed optparse-applicative-0.14.0.0
Configuring contravariant-1.4...
Installed regex-posix-0.95.2
Building data-default-0.7.1.1...
Building contravariant-1.4...
Configuring monad-control-1.0.2.1...
Installed data-default-0.7.1.1
Building monad-control-1.0.2.1...
Configuring crypto-api-0.13.2...
Installed contravariant-1.4
Configuring unordered-containers-0.2.8.0...
Installed monad-control-1.0.2.1
Building crypto-api-0.13.2...
Building unordered-containers-0.2.8.0...
Configuring distributive-0.5.2...
Installed crypto-api-0.13.2
Configuring hsemail-2...
Installed unordered-containers-0.2.8.0
Building hsemail-2...
Building distributive-0.5.2...
Warning: /tmp/pkgConf-distributive-0.5745425661396473730.2: Unrecognized field
dynamic-library-dirs on line 22
Configuring ListLike-4.5.1...
Installed distributive-0.5.2
Building ListLike-4.5.1...
Configuring network-uri-2.6.1.0...
Installed hsemail-2
Building network-uri-2.6.1.0...
Configuring regex-tdfa-1.2.2...
Installed network-uri-2.6.1.0
Building regex-tdfa-1.2.2...
Installed ListLike-4.5.1
Configuring regex-compat-0.95.1...
Building regex-compat-0.95.1...
Configuring HaXml-1.25.4...
Installed regex-compat-0.95.1
Building HaXml-1.25.4...
Configuring comonad-5.0.1...
Installed regex-tdfa-1.2.2
Building comonad-5.0.1...
Warning: /tmp/pkgConf-comonad-5.0707900973407487131.1: Unrecognized field
dynamic-library-dirs on line 29
Configuring pureMD5-2.1.3...
Installed comonad-5.0.1
Building pureMD5-2.1.3...
Configuring process-extras-0.7.2...
Installed pureMD5-2.1.3
Building process-extras-0.7.2...
Configuring bifunctors-5.4.2...
Installed process-extras-0.7.2
Building bifunctors-5.4.2...
Configuring Unixutils-1.54.1...
Installed bifunctors-5.4.2
Building Unixutils-1.54.1...
Installed Unixutils-1.54.1
Configuring semigroupoids-5.2...
Building semigroupoids-5.2...
Configuring profunctors-5.2...
Installed HaXml-1.25.4
Building profunctors-5.2...
Warning: /tmp/pkgConf-semigroupoids-519534433761876855542.2: Unrecognized
field dynamic-library-dirs on line 60
Installed semigroupoids-5.2
Installed profunctors-5.2
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring either-4.4.1.1...
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Building either-4.4.1.1...
Installed either-4.4.1.1
Configuring debian-3.91.2...
Building debian-3.91.2...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Installed kan-extensions-5.0.2
Configuring lens-4.15.3...
Building lens-4.15.3...
Installed debian-3.91.2
Warning: /tmp/pkgConf-lens-4.1517970739401756915667.3: Unrecognized field
dynamic-library-dirs on line 122
Installed lens-4.15.3
Configuring cabal-debian-4.35.8...
Building cabal-debian-4.35.8...
Failed to install cabal-debian-4.35.8
Build log ( /home/builder/.cabal/logs/cabal-debian-4.35.8.log ):
cabal: Entering directory '/tmp/cabal-tmp-25537/cabal-debian-4.35.8'
Configuring cabal-debian-4.35.8...
Building cabal-debian-4.35.8...
Preprocessing library cabal-debian-4.35.8...
[ 1 of 30] Compiling System.Git       ( src/System/Git.hs, dist/build/System/Git.o )
[ 2 of 30] Compiling Paths_cabal_debian ( dist/build/autogen/Paths_cabal_debian.hs, dist/build/Paths_cabal_debian.o )
[ 3 of 30] Compiling Distribution.Version.Invert ( src/Distribution/Version/Invert.hs, dist/build/Distribution/Version/Invert.o )
[ 4 of 30] Compiling Debian.Orphans   ( src/Debian/Orphans.hs, dist/build/Debian/Orphans.o )
[ 5 of 30] Compiling Debian.Debianize.Prelude ( src/Debian/Debianize/Prelude.hs, dist/build/Debian/Debianize/Prelude.o )
[ 6 of 30] Compiling Debian.Policy    ( src/Debian/Policy.hs, dist/build/Debian/Policy.o )
[ 7 of 30] Compiling Debian.Debianize.Interspersed ( src/Debian/Debianize/Interspersed.hs, dist/build/Debian/Debianize/Interspersed.o )
[ 8 of 30] Compiling Debian.Debianize.VersionSplits ( src/Debian/Debianize/VersionSplits.hs, dist/build/Debian/Debianize/VersionSplits.o )
[ 9 of 30] Compiling Debian.Debianize.Changelog ( src/Debian/Debianize/Changelog.hs, dist/build/Debian/Debianize/Changelog.o )
[10 of 30] Compiling Debian.Debianize.BinaryDebDescription ( src/Debian/Debianize/BinaryDebDescription.hs, dist/build/Debian/Debianize/BinaryDebDescription.o )
[11 of 30] Compiling Debian.Debianize.SourceDebDescription ( src/Debian/Debianize/SourceDebDescription.hs, dist/build/Debian/Debianize/SourceDebDescription.o )
[12 of 30] Compiling Debian.GHC       ( src/Debian/GHC.hs, dist/build/Debian/GHC.o )
[13 of 30] Compiling Debian.Debianize.Bundled ( src/Debian/Debianize/Bundled.hs, dist/build/Debian/Debianize/Bundled.o )
[14 of 30] Compiling Debian.Debianize.BasicInfo ( src/Debian/Debianize/BasicInfo.hs, dist/build/Debian/Debianize/BasicInfo.o )
[15 of 30] Compiling Debian.Debianize.InputCabal ( src/Debian/Debianize/InputCabal.hs, dist/build/Debian/Debianize/InputCabal.o )
[16 of 30] Compiling Data.Maybe.Extended ( src/Data/Maybe/Extended.hs, dist/build/Data/Maybe/Extended.o )
[17 of 30] Compiling Debian.Debianize.CopyrightDescription ( src/Debian/Debianize/CopyrightDescription.hs, dist/build/Debian/Debianize/CopyrightDescription.o )
[18 of 30] Compiling Debian.Debianize.DebInfo ( src/Debian/Debianize/DebInfo.hs, dist/build/Debian/Debianize/DebInfo.o )
[19 of 30] Compiling Debian.Debianize.CabalInfo ( src/Debian/Debianize/CabalInfo.hs, dist/build/Debian/Debianize/CabalInfo.o )
[20 of 30] Compiling Debian.Debianize.Monad ( src/Debian/Debianize/Monad.hs, dist/build/Debian/Debianize/Monad.o )
[21 of 30] Compiling Debian.Debianize.DebianName ( src/Debian/Debianize/DebianName.hs, dist/build/Debian/Debianize/DebianName.o )
[22 of 30] Compiling Debian.Debianize.BuildDependencies ( src/Debian/Debianize/BuildDependencies.hs, dist/build/Debian/Debianize/BuildDependencies.o )

src/Debian/Debianize/BuildDependencies.hs:14:1: warning: [-Wunused-imports]
    The import of ‘liftIO’
    from module ‘Control.Monad.Trans’ is redundant
[23 of 30] Compiling Debian.Debianize.Details ( src/Debian/Debianize/Details.hs, dist/build/Debian/Debianize/Details.o )
[24 of 30] Compiling Debian.Debianize.Goodies ( src/Debian/Debianize/Goodies.hs, dist/build/Debian/Debianize/Goodies.o )
[25 of 30] Compiling Debian.Debianize.Files ( src/Debian/Debianize/Files.hs, dist/build/Debian/Debianize/Files.o )
[26 of 30] Compiling Debian.Debianize.InputDebian ( src/Debian/Debianize/InputDebian.hs, dist/build/Debian/Debianize/InputDebian.o )
[27 of 30] Compiling Debian.Debianize.Finalize ( src/Debian/Debianize/Finalize.hs, dist/build/Debian/Debianize/Finalize.o )
[28 of 30] Compiling Debian.Debianize.Optparse ( src/Debian/Debianize/Optparse.hs, dist/build/Debian/Debianize/Optparse.o )

src/Debian/Debianize/Optparse.hs:183:46: error:
    • Ambiguous type variable ‘a0’ arising from a use of ‘parseRelations’
      prevents the constraint ‘(ParseRelations a0)’ from being solved.
      Probable fix: use a type annotation to specify what ‘a0’ should be.
      These potential instances exist:
        instance ParseRelations String
          -- Defined in ‘Debian.Relation.String’
        ...plus one instance involving out-of-scope types
        (use -fprint-potential-instances to see them all)
    • In the first argument of ‘(<$>)’, namely ‘parseRelations’
      In the second argument of ‘(=<<)’, namely
        ‘parseRelations <$> O.str’
      In the expression:
        either (fail . show) return =<< parseRelations <$> O.str

src/Debian/Debianize/Optparse.hs:183:65: error:
    • Ambiguous type variable ‘a0’ arising from a use of ‘O.str’
      prevents the constraint ‘(Data.String.IsString
                                  a0)’ from being solved.
      Probable fix: use a type annotation to specify what ‘a0’ should be.
      These potential instances exist:
        instance Data.String.IsString a =>
                 Data.String.IsString (Identity a)
          -- Defined in ‘Data.Functor.Identity’
        instance a ~ Char => Data.String.IsString [a]
          -- Defined in ‘Data.String’
        ...plus 17 instances involving out-of-scope types
        (use -fprint-potential-instances to see them all)
    • In the second argument of ‘(<$>)’, namely ‘O.str’
      In the second argument of ‘(=<<)’, namely
        ‘parseRelations <$> O.str’
      In the expression:
        either (fail . show) return =<< parseRelations <$> O.str

src/Debian/Debianize/Optparse.hs:316:35: error:
    • Ambiguous type variable ‘string0’ arising from a use of ‘parseDebianVersion'’
      prevents the constraint ‘(Debian.Version.Common.ParseDebianVersion
                                  string0)’ from being solved.
      Probable fix: use a type annotation to specify what ‘string0’ should be.
      These potential instance exist:
        instance Debian.Version.Common.ParseDebianVersion String
          -- Defined in ‘Debian.Version.String’
    • In the second argument of ‘(.)’, namely ‘parseDebianVersion'’
      In the first argument of ‘(<$>)’, namely
        ‘Just . parseDebianVersion'’
      In the first argument of ‘O.option’, namely
        ‘(Just . parseDebianVersion' <$> O.str)’

src/Debian/Debianize/Optparse.hs:316:59: error:
    • Ambiguous type variable ‘string0’ arising from a use of ‘O.str’
      prevents the constraint ‘(Data.String.IsString
                                  string0)’ from being solved.
      Probable fix: use a type annotation to specify what ‘string0’ should be.
      These potential instances exist:
        instance Data.String.IsString a =>
                 Data.String.IsString (Identity a)
          -- Defined in ‘Data.Functor.Identity’
        instance a ~ Char => Data.String.IsString [a]
          -- Defined in ‘Data.String’
        ...plus 17 instances involving out-of-scope types
        (use -fprint-potential-instances to see them all)
    • In the second argument of ‘(<$>)’, namely ‘O.str’
      In the first argument of ‘O.option’, namely
        ‘(Just . parseDebianVersion' <$> O.str)’
      In the expression:
        O.option (Just . parseDebianVersion' <$> O.str) m
cabal: Leaving directory '/tmp/cabal-tmp-25537/cabal-debian-4.35.8'
cabal: Error: some packages failed to install:
cabal-debian-4.35.8 failed during the building phase. The exception was:
ExitFailure 1